# Uses of Class
nu.xom.ParentNode

Packages that use ParentNode
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.

## Uses of ParentNode in nu.xom

Subclasses of ParentNode in nu.xom
Modifier and Type
Class
Description
`class`
`Document`
The `Document` class represents a complete XML document including its root element, prolog, and epilog.
`class`
`Element`
This class represents an XML element.
Methods in nu.xom that return ParentNode
Modifier and Type
Method
Description
`final ParentNode`
Node.`getParent()`
Returns the node that contains this node, or null if this node does not have a parent.